/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprojectcalc.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workprojectcalc.entity.WorkProjectCalcBuild;
import com.jeeplus.modules.workprojectcalc.dao.WorkProjectCalcBuildDao;

/**
 * 工程计算量底稿Service
 * @author 马鹏波
 * @version 2018-06-06
 */
@Service
@Transactional(readOnly = true)
public class WorkProjectCalcBuildService extends CrudService<WorkProjectCalcBuildDao, WorkProjectCalcBuild> {

	public WorkProjectCalcBuild get(String id) {
		return super.get(id);
	}
	
	public List<WorkProjectCalcBuild> findList(WorkProjectCalcBuild workProjectCalcBuild) {
		return super.findList(workProjectCalcBuild);
	}
	
	public Page<WorkProjectCalcBuild> findPage(Page<WorkProjectCalcBuild> page, WorkProjectCalcBuild workProjectCalcBuild) {
		return super.findPage(page, workProjectCalcBuild);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkProjectCalcBuild workProjectCalcBuild) {
		super.save(workProjectCalcBuild);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkProjectCalcBuild workProjectCalcBuild) {
		super.delete(workProjectCalcBuild);
	}
	
	
	
	
}